Bug 2275620 (CVE-2024-26819)

Summary: CVE-2024-26819 kernel: dm: limit the number of targets and parameter size area
Product: [Other] Security Response Reporter: Robb Gatica <rgatica>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, allarkin, aquini, bhu, bmarzins, chwhite, cye, cyin, dbohanno, debarbos, dfreiber, drow, dvlasenk, esandeen, ezulian, hkrzesin, jarod, jburrell, jdenham, jfaracco, jlelli, joe.lawrence, jshortt, jstancek, jwyatt, kcarcia, ldoskova, lgoncalv, lzampier, mleitner, mmilgram, mstowell, nmurray, ptalbert, rparrazo, rrobaina, rvrbovsk, rysulliv, scweaver, sidakwo, sukulkar, tglozar, tyberry, vkumar, wcosta, williams, wmealing, ycote, ykopkova, zhijwang
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 5.10.210, kernel 5.15.149, kernel 6.1.79, kernel 6.6.18, kernel 6.7.6, kernel 6.8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-04-19 20:20:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2275621    
Bug Blocks: 2275560    

Description Robb Gatica 2024-04-17 16:43:57 UTC
In the Linux kernel, the following vulnerability has been resolved:

dm: limit the number of targets and parameter size area

The Linux kernel CVE team has assigned CVE-2024-26819 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024041701-CVE-2024-26819-1731@gregkh/T

Comment 1 Robb Gatica 2024-04-17 16:44:30 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2275621]

Comment 6 Rohit Keshri 2024-04-24 06:29:50 UTC
This isn't actually a security issue at all (only root can trigger this, and all that happens is that you get a warning message).